﻿    
 

# -------------------------------------------------
# Script variables (change if necessary)
# -------------------------------------------------

SQLPLUS_LOC=$ORACLE_HOME/bin
PATH=$SQLPLUS_LOC:$PATH
DBUSERNAME=NOTSET
DBPASSWORD=NOTSET
DBHOST=NOTSET
LANGUAGECODE=NOTSET

# -------------------------------------------------
# Location of sqlplus utility (change if necessary)
# -------------------------------------------------

if [ -e $SQLPLUS_LOC/sqlplus ]; then
echo Using $SQLPLUS_LOC/sqlplus
else
echo Please update this script and set the correct path to sqlplus
exit
fi



# -------------------------------------------------
# EAM database credentials (change if necessary)
# -------------------------------------------------

if [ "$DBUSERNAME" == "NOTSET" ]; then
echo "Please update this script and set the DBUSERNAME to the Oracle user name for Infor EAM."
exit
fi

if [ "$DBPASSWORD" == "NOTSET" ]; then
echo "Please update this script and set the DBPASSWORD to the password for the Oracle Infor EAM user."
exit
fi

if [ "$DBHOST" == "NOTSET" ]; then
echo "Please update this script and set the DBHOST to the alias for Infor EAM."
exit
fi

# -------------------------------------------------
# Language code needed for R5BOILERTEXTS.BOT_LANG (e.g. EN)
# -------------------------------------------------

if [ "$LANGUAGECODE" == "NOTSET" ]; then
echo "Please update this script and set the languagecode variable to the appropriate language code (e.g. EN)"
exit
fi

# redirect stdout to file descriptor
exec 6>&1
# redirect it to logfile
exec > Deploy_Oracle_WOM.log

echo ----------------------------------
echo Executing SQL Scripts...
echo ----------------------------------


echo ----------------------------------
echo Deploying CustomGrids/AUW040.sql...
echo ----------------------------------
echo exit | sqlplus "$DBUSERNAME"/"$DBPASSWORD"@"$DBHOST" @CustomGrids/AUW040.sql "$LANGUAGECODE"


echo ----------------------------------
echo Deploying CustomGrids/AUW041.sql...
echo ----------------------------------
echo exit | sqlplus "$DBUSERNAME"/"$DBPASSWORD"@"$DBHOST" @CustomGrids/AUW041.sql "$LANGUAGECODE"


echo ----------------------------------
echo Deploying CustomGrids/AUW042.sql...
echo ----------------------------------
echo exit | sqlplus "$DBUSERNAME"/"$DBPASSWORD"@"$DBHOST" @CustomGrids/AUW042.sql "$LANGUAGECODE"


echo ----------------------------------
echo Deploying CustomGrids/AUW045.sql...
echo ----------------------------------
echo exit | sqlplus "$DBUSERNAME"/"$DBPASSWORD"@"$DBHOST" @CustomGrids/AUW045.sql "$LANGUAGECODE"


echo ----------------------------------
echo Deploying CustomGrids/AUW046.sql...
echo ----------------------------------
echo exit | sqlplus "$DBUSERNAME"/"$DBPASSWORD"@"$DBHOST" @CustomGrids/AUW046.sql "$LANGUAGECODE"


echo ----------------------------------
echo Deploying CustomGrids/AUW047.sql...
echo ----------------------------------
echo exit | sqlplus "$DBUSERNAME"/"$DBPASSWORD"@"$DBHOST" @CustomGrids/AUW047.sql "$LANGUAGECODE"


echo ----------------------------------
echo Deploying CustomGrids/AUW048.sql...
echo ----------------------------------
echo exit | sqlplus "$DBUSERNAME"/"$DBPASSWORD"@"$DBHOST" @CustomGrids/AUW048.sql "$LANGUAGECODE"


echo ----------------------------------
echo Deploying CustomGrids/AUW049.sql...
echo ----------------------------------
echo exit | sqlplus "$DBUSERNAME"/"$DBPASSWORD"@"$DBHOST" @CustomGrids/AUW049.sql "$LANGUAGECODE"


echo ----------------------------------
echo Deploying CustomGrids/BUDEPT.sql...
echo ----------------------------------
echo exit | sqlplus "$DBUSERNAME"/"$DBPASSWORD"@"$DBHOST" @CustomGrids/BUDEPT.sql "$LANGUAGECODE"


echo ----------------------------------
echo Deploying CustomGrids/BUMOST.sql...
echo ----------------------------------
echo exit | sqlplus "$DBUSERNAME"/"$DBPASSWORD"@"$DBHOST" @CustomGrids/BUMOST.sql "$LANGUAGECODE"


echo ----------------------------------
echo Deploying CustomGrids/BUUDPT.sql...
echo ----------------------------------
echo exit | sqlplus "$DBUSERNAME"/"$DBPASSWORD"@"$DBHOST" @CustomGrids/BUUDPT.sql "$LANGUAGECODE"


echo ----------------------------------
echo Deploying CustomGrids/MUDELE.sql...
echo ----------------------------------
echo exit | sqlplus "$DBUSERNAME"/"$DBPASSWORD"@"$DBHOST" @CustomGrids/MUDELE.sql "$LANGUAGECODE"


echo ----------------------------------
echo Deploying CustomGrids/OUBINS.sql...
echo ----------------------------------
echo exit | sqlplus "$DBUSERNAME"/"$DBPASSWORD"@"$DBHOST" @CustomGrids/OUBINS.sql "$LANGUAGECODE"


echo ----------------------------------
echo Deploying CustomGrids/OUGISL.sql...
echo ----------------------------------
echo exit | sqlplus "$DBUSERNAME"/"$DBPASSWORD"@"$DBHOST" @CustomGrids/OUGISL.sql "$LANGUAGECODE"


echo ----------------------------------
echo Deploying CustomGrids/OUMETR.sql...
echo ----------------------------------
echo exit | sqlplus "$DBUSERNAME"/"$DBPASSWORD"@"$DBHOST" @CustomGrids/OUMETR.sql "$LANGUAGECODE"


echo ----------------------------------
echo Deploying CustomGrids/OUOBJE.sql...
echo ----------------------------------
echo exit | sqlplus "$DBUSERNAME"/"$DBPASSWORD"@"$DBHOST" @CustomGrids/OUOBJE.sql "$LANGUAGECODE"


echo ----------------------------------
echo Deploying CustomGrids/OUPART.sql...
echo ----------------------------------
echo exit | sqlplus "$DBUSERNAME"/"$DBPASSWORD"@"$DBHOST" @CustomGrids/OUPART.sql "$LANGUAGECODE"


echo ----------------------------------
echo Deploying CustomGrids/OUREAD.sql...
echo ----------------------------------
echo exit | sqlplus "$DBUSERNAME"/"$DBPASSWORD"@"$DBHOST" @CustomGrids/OUREAD.sql "$LANGUAGECODE"


echo ----------------------------------
echo Deploying CustomGrids/OUUFVA.sql...
echo ----------------------------------
echo exit | sqlplus "$DBUSERNAME"/"$DBPASSWORD"@"$DBHOST" @CustomGrids/OUUFVA.sql "$LANGUAGECODE"


echo ----------------------------------
echo Deploying CustomGrids/SUSTOR.sql...
echo ----------------------------------
echo exit | sqlplus "$DBUSERNAME"/"$DBPASSWORD"@"$DBHOST" @CustomGrids/SUSTOR.sql "$LANGUAGECODE"


echo ----------------------------------
echo Deploying CustomGrids/WUACCO.sql...
echo ----------------------------------
echo exit | sqlplus "$DBUSERNAME"/"$DBPASSWORD"@"$DBHOST" @CustomGrids/WUACCO.sql "$LANGUAGECODE"


echo ----------------------------------
echo Deploying CustomGrids/WUACTJ.sql...
echo ----------------------------------
echo exit | sqlplus "$DBUSERNAME"/"$DBPASSWORD"@"$DBHOST" @CustomGrids/WUACTJ.sql "$LANGUAGECODE"


echo ----------------------------------
echo Deploying CustomGrids/WUAUTH.sql...
echo ----------------------------------
echo exit | sqlplus "$DBUSERNAME"/"$DBPASSWORD"@"$DBHOST" @CustomGrids/WUAUTH.sql "$LANGUAGECODE"


echo ----------------------------------
echo Deploying CustomGrids/WUBOOK.sql...
echo ----------------------------------
echo exit | sqlplus "$DBUSERNAME"/"$DBPASSWORD"@"$DBHOST" @CustomGrids/WUBOOK.sql "$LANGUAGECODE"


echo ----------------------------------
echo Deploying CustomGrids/WUCAUS.sql...
echo ----------------------------------
echo exit | sqlplus "$DBUSERNAME"/"$DBPASSWORD"@"$DBHOST" @CustomGrids/WUCAUS.sql "$LANGUAGECODE"


echo ----------------------------------
echo Deploying CustomGrids/WUCFAS.sql...
echo ----------------------------------
echo exit | sqlplus "$DBUSERNAME"/"$DBPASSWORD"@"$DBHOST" @CustomGrids/WUCFAS.sql "$LANGUAGECODE"


echo ----------------------------------
echo Deploying CustomGrids/WUCOM4.sql...
echo ----------------------------------
echo exit | sqlplus "$DBUSERNAME"/"$DBPASSWORD"@"$DBHOST" @CustomGrids/WUCOM4.sql "$LANGUAGECODE"


echo ----------------------------------
echo Deploying CustomGrids/WUCOMA.sql...
echo ----------------------------------
echo exit | sqlplus "$DBUSERNAME"/"$DBPASSWORD"@"$DBHOST" @CustomGrids/WUCOMA.sql "$LANGUAGECODE"


echo ----------------------------------
echo Deploying CustomGrids/WUCOMM.sql...
echo ----------------------------------
echo exit | sqlplus "$DBUSERNAME"/"$DBPASSWORD"@"$DBHOST" @CustomGrids/WUCOMM.sql "$LANGUAGECODE"


echo ----------------------------------
echo Deploying CustomGrids/WUCOMT.sql...
echo ----------------------------------
echo exit | sqlplus "$DBUSERNAME"/"$DBPASSWORD"@"$DBHOST" @CustomGrids/WUCOMT.sql "$LANGUAGECODE"


echo ----------------------------------
echo Deploying CustomGrids/WUDFLT.sql...
echo ----------------------------------
echo exit | sqlplus "$DBUSERNAME"/"$DBPASSWORD"@"$DBHOST" @CustomGrids/WUDFLT.sql "$LANGUAGECODE"


echo ----------------------------------
echo Deploying CustomGrids/WUDOCW.sql...
echo ----------------------------------
echo exit | sqlplus "$DBUSERNAME"/"$DBPASSWORD"@"$DBHOST" @CustomGrids/WUDOCW.sql "$LANGUAGECODE"


echo ----------------------------------
echo Deploying CustomGrids/WUDSPY.sql...
echo ----------------------------------
echo exit | sqlplus "$DBUSERNAME"/"$DBPASSWORD"@"$DBHOST" @CustomGrids/WUDSPY.sql "$LANGUAGECODE"


echo ----------------------------------
echo Deploying CustomGrids/WUEMPS.sql...
echo ----------------------------------
echo exit | sqlplus "$DBUSERNAME"/"$DBPASSWORD"@"$DBHOST" @CustomGrids/WUEMPS.sql "$LANGUAGECODE"


echo ----------------------------------
echo Deploying CustomGrids/WUEPOS.sql...
echo ----------------------------------
echo exit | sqlplus "$DBUSERNAME"/"$DBPASSWORD"@"$DBHOST" @CustomGrids/WUEPOS.sql "$LANGUAGECODE"


echo ----------------------------------
echo Deploying CustomGrids/WUERCD.sql...
echo ----------------------------------
echo exit | sqlplus "$DBUSERNAME"/"$DBPASSWORD"@"$DBHOST" @CustomGrids/WUERCD.sql "$LANGUAGECODE"


echo ----------------------------------
echo Deploying CustomGrids/WUFAIL.sql...
echo ----------------------------------
echo exit | sqlplus "$DBUSERNAME"/"$DBPASSWORD"@"$DBHOST" @CustomGrids/WUFAIL.sql "$LANGUAGECODE"


echo ----------------------------------
echo Deploying CustomGrids/WUJOBS.sql...
echo ----------------------------------
echo exit | sqlplus "$DBUSERNAME"/"$DBPASSWORD"@"$DBHOST" @CustomGrids/WUJOBS.sql "$LANGUAGECODE"


echo ----------------------------------
echo Deploying CustomGrids/WUOCCU.sql...
echo ----------------------------------
echo exit | sqlplus "$DBUSERNAME"/"$DBPASSWORD"@"$DBHOST" @CustomGrids/WUOCCU.sql "$LANGUAGECODE"


echo ----------------------------------
echo Deploying CustomGrids/WUPART.sql...
echo ----------------------------------
echo exit | sqlplus "$DBUSERNAME"/"$DBPASSWORD"@"$DBHOST" @CustomGrids/WUPART.sql "$LANGUAGECODE"


echo ----------------------------------
echo Deploying CustomGrids/WUPRVA.sql...
echo ----------------------------------
echo exit | sqlplus "$DBUSERNAME"/"$DBPASSWORD"@"$DBHOST" @CustomGrids/WUPRVA.sql "$LANGUAGECODE"


echo ----------------------------------
echo Deploying CustomGrids/WURECO.sql...
echo ----------------------------------
echo exit | sqlplus "$DBUSERNAME"/"$DBPASSWORD"@"$DBHOST" @CustomGrids/WURECO.sql "$LANGUAGECODE"


echo ----------------------------------
echo Deploying CustomGrids/WUSCHD.sql...
echo ----------------------------------
echo exit | sqlplus "$DBUSERNAME"/"$DBPASSWORD"@"$DBHOST" @CustomGrids/WUSCHD.sql "$LANGUAGECODE"


echo ----------------------------------
echo Deploying CustomGrids/WUSIGT.sql...
echo ----------------------------------
echo exit | sqlplus "$DBUSERNAME"/"$DBPASSWORD"@"$DBHOST" @CustomGrids/WUSIGT.sql "$LANGUAGECODE"


echo ----------------------------------
echo Deploying CustomGrids/WUSTWO.sql...
echo ----------------------------------
echo exit | sqlplus "$DBUSERNAME"/"$DBPASSWORD"@"$DBHOST" @CustomGrids/WUSTWO.sql "$LANGUAGECODE"


echo ----------------------------------
echo Deploying CustomGrids/WUTASK.sql...
echo ----------------------------------
echo exit | sqlplus "$DBUSERNAME"/"$DBPASSWORD"@"$DBHOST" @CustomGrids/WUTASK.sql "$LANGUAGECODE"


echo ----------------------------------
echo Deploying CustomGrids/WUUDLV.sql...
echo ----------------------------------
echo exit | sqlplus "$DBUSERNAME"/"$DBPASSWORD"@"$DBHOST" @CustomGrids/WUUDLV.sql "$LANGUAGECODE"


echo ----------------------------------
echo Deploying CustomGrids/WUUFVA.sql...
echo ----------------------------------
echo exit | sqlplus "$DBUSERNAME"/"$DBPASSWORD"@"$DBHOST" @CustomGrids/WUUFVA.sql "$LANGUAGECODE"


echo ----------------------------------
echo Deploying CustomGrids/WUWOCL.sql...
echo ----------------------------------
echo exit | sqlplus "$DBUSERNAME"/"$DBPASSWORD"@"$DBHOST" @CustomGrids/WUWOCL.sql "$LANGUAGECODE"


echo ----------------------------------
echo Deploying CustomGrids/WUWOTY.sql...
echo ----------------------------------
echo exit | sqlplus "$DBUSERNAME"/"$DBPASSWORD"@"$DBHOST" @CustomGrids/WUWOTY.sql "$LANGUAGECODE"


echo ----------------------------------
echo Deploying CustomDataspies/LVMATLPART.sql...
echo ----------------------------------
echo exit | sqlplus "$DBUSERNAME"/"$DBPASSWORD"@"$DBHOST" @CustomDataspies/LVMATLPART.sql "$LANGUAGECODE"


# fix your stdout and close file
exec 1>&6 6>&-

echo ----------------------------------
echo DONE. Please check log for errors
echo ----------------------------------